View Issue Details

IDProjectCategoryView StatusLast Update
0003283GNUnetutil librarypublic2014-04-08 16:42
ReporteramatusAssigned ToChristian Grothoff 
PrioritynormalSeveritytweakReproducibilityN/A
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003283: GNUNET_SPEEDUP_stop_ incompatibly declared
DescriptionGNUNET_SPEEDUP_stop_ is defined in src/util/speedup.c as:
void GNUNET_SPEEDUP_stop_ ()
and declared in src/util/program.c as:
int GNUNET_SPEEDUP_stop_ (void);

These should be in a header file and not in multiple source files.
TagsNo tags attached.

Activities

Christian Grothoff

2014-01-27 21:14

manager   ~0008036

Fixed wrong return type in SVN 32050. As these are functions with really limited use, I'm not sure I like to see them in a public API, and creating another header-file in util also seems like overkill.

Issue History

Date Modified Username Field Change
2014-01-26 20:33 amatus New Issue
2014-01-27 21:14 Christian Grothoff Note Added: 0008036
2014-01-27 21:14 Christian Grothoff Status new => resolved
2014-01-27 21:14 Christian Grothoff Fixed in Version => 0.10.1
2014-01-27 21:14 Christian Grothoff Resolution open => fixed
2014-01-27 21:14 Christian Grothoff Assigned To => Christian Grothoff
2014-01-27 21:15 Christian Grothoff Severity minor => tweak
2014-01-27 21:15 Christian Grothoff Target Version => 0.10.1
2014-04-08 16:42 Christian Grothoff Status resolved => closed